V10.0

post

/ec-designer-svc/rest/v10.0/studies/{studyId}/design

Returns visit design details for one or more study versions. Compared with v9.0, this version returns the visit design response shape while retaining lite or full response selection.

Request

Path Parameters
Query Parameters
  • If true, generate light version of the API. Optional.
    Default Value: true
    Example:
    true
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : VisitBranchDesignDtoV10
Type: object
Visit design response grouped by scheduled, branch, and unscheduled visits.
Show Source
Nested Schema : branchVisits
Type: array
Branch visit paths in the requested study version.
Show Source
Nested Schema : scheduledVisits
Type: array
Scheduled visits in the requested study version.
Show Source
Nested Schema : unscheduledVisits
Type: array
Unscheduled visits in the requested study version.
Show Source
Nested Schema : items
Type: array
Branch visit paths in the requested study version.
Show Source
Nested Schema : BranchDesignDTOV10
Type: object
Branch Design properties
Show Source
Nested Schema : VisitBranchDto v2.0
Type: object
Title: VisitBranchDto v2.0
Visit Branch details.
Show Source
Nested Schema : visits
Type: array
The visits in this branch
Show Source
Nested Schema : arms
Type: array
Arm Details DTO
Show Source
Nested Schema : forms
Type: array
Form Details DTO
Show Source
Nested Schema : formVisits
Type: array
Visit Details DTO
Show Source
Nested Schema : From Item Advanced Property v11.0
Type: object
Title: From Item Advanced Property v11.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v11.0
Type: object
Title: From Item Advanced Property Rule v11.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : VisitDesignDto v10.0
Type: object
Title: VisitDesignDto v10.0
Visit Design Information
Show Source
Nested Schema : VisitDesignDispensingDto v10.0
Type: object
Title: VisitDesignDispensingDto v10.0
Visit Design dispensing properties
Show Source
Nested Schema : VisitDesignAssignedFormsDto v10.0
Type: object
Title: VisitDesignAssignedFormsDto v10.0
Visit Design assigned forms properties
Show Source
Nested Schema : VisitDesignRandomizationDto v10.0
Type: object
Title: VisitDesignRandomizationDto v10.0
Visit Design randomization properties
Show Source
Nested Schema : VisitDesignSchedulingDto v10.0
Type: object
Title: VisitDesignSchedulingDto v10.0
Visit Design scheduling properties
Show Source
Nested Schema : VisitDesignStateDto v10.0
Type: object
Title: VisitDesignStateDto v10.0
Visit Design state properties
Show Source
Nested Schema : visits
Type: array
Visit IDs that use this randomization. UUID, 32-character uppercase hexadecimal strings.
Show Source
Example:
55C8628FB6594912B3214E294A5D4E9F
Nested Schema : Delay
Type: object
Visit design scheduling before-delay window
Show Source
Examples

204 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : VisitBranchDesignDtoV10
Type: object
Visit design response grouped by scheduled, branch, and unscheduled visits.
Show Source
Nested Schema : branchVisits
Type: array
Branch visit paths in the requested study version.
Show Source
Nested Schema : scheduledVisits
Type: array
Scheduled visits in the requested study version.
Show Source
Nested Schema : unscheduledVisits
Type: array
Unscheduled visits in the requested study version.
Show Source
Nested Schema : items
Type: array
Branch visit paths in the requested study version.
Show Source
Nested Schema : BranchDesignDTOV10
Type: object
Branch Design properties
Show Source
Nested Schema : VisitBranchDto v2.0
Type: object
Title: VisitBranchDto v2.0
Visit Branch details.
Show Source
Nested Schema : visits
Type: array
The visits in this branch
Show Source
Nested Schema : arms
Type: array
Arm Details DTO
Show Source
Nested Schema : forms
Type: array
Form Details DTO
Show Source
Nested Schema : formVisits
Type: array
Visit Details DTO
Show Source
Nested Schema : From Item Advanced Property v11.0
Type: object
Title: From Item Advanced Property v11.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v11.0
Type: object
Title: From Item Advanced Property Rule v11.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : VisitDesignDto v10.0
Type: object
Title: VisitDesignDto v10.0
Visit Design Information
Show Source
Nested Schema : VisitDesignDispensingDto v10.0
Type: object
Title: VisitDesignDispensingDto v10.0
Visit Design dispensing properties
Show Source
Nested Schema : VisitDesignAssignedFormsDto v10.0
Type: object
Title: VisitDesignAssignedFormsDto v10.0
Visit Design assigned forms properties
Show Source
Nested Schema : VisitDesignRandomizationDto v10.0
Type: object
Title: VisitDesignRandomizationDto v10.0
Visit Design randomization properties
Show Source
Nested Schema : VisitDesignSchedulingDto v10.0
Type: object
Title: VisitDesignSchedulingDto v10.0
Visit Design scheduling properties
Show Source
Nested Schema : VisitDesignStateDto v10.0
Type: object
Title: VisitDesignStateDto v10.0
Visit Design state properties
Show Source
Nested Schema : visits
Type: array
Visit IDs that use this randomization. UUID, 32-character uppercase hexadecimal strings.
Show Source
Example:
55C8628FB6594912B3214E294A5D4E9F
Nested Schema : Delay
Type: object
Visit design scheduling before-delay window
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top